Добрый день! Нам в 2012 году разработали сайт на базе modx, сейчас ресурс предоставляющий нам хостинг (они же и сайт разрабатывали) заблокировали сайт, т.к. в старой версии modX уязвимая админпанель, все сайты находящиеся на хостинге включая наш были взломаны. Теперь владелец хостинга требует обновить версию админпанели до современной, т.к. избавится от вируса на сайте они не могут. При этом за обновление требуют 15 тыс. руб. (к слову разработка сайта стоила 17тыс), таких денег у нас просто нет. Да и считаем не правомерно выставлять подобные условия. Кто-нибудь сталкивался с подобным, как решали вопрос?